Bug 810903 - Monitor Overview page does not refresh to show new/deleted Cloud Resource Zones
Monitor Overview page does not refresh to show new/deleted Cloud Resource Zones
Status: NEW
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Linux
low Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 11:19 EDT by Ronelle Landy
Modified: 2014-01-05 13:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
One browser with three CRZ showing (254.34 KB, image/png)
2012-04-09 11:21 EDT, Ronelle Landy
no flags Details
Second browser - 4 ( some different) CRZ showing (150.63 KB, image/png)
2012-04-09 11:22 EDT, Ronelle Landy
no flags Details

  None (edit)
Description Ronelle Landy 2012-04-09 11:19:47 EDT
Description of problem:

I have three browsers open to the same Conductor Instance:

 - FF 11.0 (Fedora 10)
 - FF 10.0.3 ( on RHEL 6.2)
 - Chrome 18.0.1025.151 ( on Fedora 16)

If I add or remove Cloud Resource Zones in one of the browsers, I do not see those updates in the other two open browsers (ie: page auto-fresh is not picking up changes to Cloud Resource Zones)

Copying related chat comments:

<matty_dubs> sseago: As best as I can tell, we only update _instances_ on that page. (Going by what I see Firebug doing.)
<matty_dubs> sseago: Which is possibly a bug.
<matty_dubs> slash design flaw
<sseago> matty_dubs, yeah -- if we're going to the trouble of auto-refreshing, we should refresh new/deleted pools too


Steps to Reproduce:
1. Open two browsers pointing to the same Conductor instance
2. Log in as the same admin user in both browsers
3. Leave both browsers open to the Monitor Overview page so you can see the list of Cloud Resource Zones
4. In one browser add a new Cloud Resource Zone
5. Wait a few minutes ( according to dev, refresh should happen after 1 minute)
6. View the second browser and see that the new Cloud Resource Zone added in browser one is not visible here ( see attached screenshots for an example) 
  

rpms tested:

rpm -qa |grep aeolus
aeolus-conductor-daemons-0.8.7-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-configure-2.5.2-1.el6.noarch
aeolus-conductor-0.8.7-1.el6.noarch
aeolus-conductor-doc-0.8.7-1.el6.noarch
aeolus-all-0.8.7-1.el6.noarch
Comment 1 Ronelle Landy 2012-04-09 11:21:29 EDT
Created attachment 576246 [details]
One browser with three CRZ showing
Comment 2 Ronelle Landy 2012-04-09 11:22:45 EDT
Created attachment 576247 [details]
Second browser - 4 ( some different) CRZ showing
Comment 4 Mike Orazi 2012-08-16 15:20:22 EDT
Move to 2.0.0?.  It appears this was auto-acked when it got moved to 1.1.0

Note You need to log in before you can comment on or make changes to this bug.